Eclipse Platform Release 3.7

## org.eclipse.jface.databinding.swt
Interface IWidgetValueProperty

All Superinterfaces:
  IProperty, IValueProperty

All Known Implementing Classes:
  WidgetValueProperty

    public interface IWidgetValueProperty

extends IValueProperty

`IValueProperty` for observing an SWT Widget

Since:
  1.3
Restriction:
  This interface is not intended to be implemented by clients.

Method Summary
`ISWTObservableValue` `observe(Widget widget)` Returns an `ISWTObservableValue` observing this value property on the given widget
`ISWTObservableValue` `observeDelayed(int delay, Widget widget)` Returns an `ISWTObservableValue` observing this value property on the given widget, which delays notification of value changes until at least `delay` milliseconds have elapsed since that last change event, or until a FocusOut event is received from the widget (whichever happens first).

Methods inherited from interface org.eclipse.core.databinding.property.value.IValueProperty
`getValue, getValueType, list, map, observe, observe, observeDetail, observeDetail, observeDetail, observeDetail, set, setValue, value, valueFactory, valueFactory`

Method Detail

### observe

    ISWTObservableValue observe(Widget widget)

  Returns an `ISWTObservableValue` observing this value property on the given widget

  Parameters:
    `widget` - the source widget
  Returns:
    an observable value observing this value property on the given widget

### observeDelayed

    ISWTObservableValue observeDelayed(int delay,
                                       Widget widget)

  Returns an `ISWTObservableValue` observing this value property on the given widget, which delays notification of value changes until at least `delay` milliseconds have elapsed since that last change event, or until a FocusOut event is received from the widget (whichever happens first).

  This method is equivalent to `SWTObservables.observeDelayedValue(delay, observe(widget))`.

  Parameters:
    `delay` - the delay in milliseconds.
    `widget` - the source widget
  Returns:
    an observable value observing this value property on the given widget, and which delays change notifications for `delay` milliseconds.

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.